Webz.io logoDocs
Overview
Start Here
News, Blogs, Forums & Reviews APIs
News Search API
Firehose
Cyber API
Data Breaches API
Domain Exposure API
Introduction
Quickstart
Response Fields
API Reference
Use Cases
News, Blogs, Forums & Reviews Archive
Web Content API (Deprecated)
Webz.io logo
Overview
Start Here
News, Blogs, Forums & Reviews APIs
News Search API
Firehose
Cyber API
Data Breaches API
Domain Exposure API
Introduction
Quickstart
Response Fields
API Reference
Use Cases
News, Blogs, Forums & Reviews Archive
Web Content API (Deprecated)

On this page

No sections

Webz.io DocumentationContact our team© 2026

Quickstart

1. Run a query

Send a GET request with the domain you want to analyze:

GET

https://api.lunarcyber.com/domain-exposure?domain=autobarn.net

The domain parameter is required.

2. Read the response

The API returns a JSON report:

json
{
  "requestUuid": "765bed45cae813064576bba80ec2503c6a83d293",
  "domain": "autobarn.net",
  "periodFrom": "2025-08-01",
  "periodTo": "2026-07-31",
  "status": "REPORT_READY",
  "report": {
    "domain": "autobarn.net",
    "generated_at": "2026-08-17T19:19:54.937473652",
    "period": {
      "from": "2025-08-01",
      "to": "2026-07-31"
    },
    "summary": {
      "total_events": 28,
      "infostealer_events": 8,
      "data_breach_events": 20,
      "employee_events": 0,
      "client_events": 28,
      "first_seen": "2025-08-27",
      "last_seen": "2026-07-22"
    }
  }
}

The summary object gives you the main domain exposure metrics. The rest of the report contains breakdowns by time, source, exposure subject, malware, services, and login URLs.

Last updated: August 27, 2026
PreviousIntroductionNextResponse Fields